Subject: Re: I-D Action: draft-ietf-rtgwg-yang-rib-extend-04.txt

From: tom petch <[email-masked]>
Date: Wed, 7 Apr 2021 11:31:09 +0000

From: Yingzhen Qu <[email-masked]>
Sent: 25 March 2021 23:05
To: tom petch

Hi Tom,

Thank you for the review and comments, really appreciate. Sorry for the delay of response.

We’ve addressed your comments in the latest version, but forgot to reply to this email. We’d like to get this draft ready for WG LC, so please let us know if you have more comments.

<tp>
Returning after a break, I see different things!

RIB is a contentious term which is why it gets defined  in RFC8349 and you rightly reference it in 2.1 but for me this makes Introduction para. 2 wrong, confusing. I think you should remove that paragraph entirely or if you want to mention RIB then reference RFC8349.

Likewise route and path are contentious and need using carefully; see below

RIB needs a preceding article which you have added in some places but not all.  I think that it mostly should be 'the RIB'

3.1 RIB tags
um no, route tags

4
augment with a long path can be hard to decipher,  Here and in the YANG module a comment line before it makes it much easier e.g.

/*augment static IPv4 unicast next hop list*/
Other WG do this and I find it helpful.  Yes the YANG description says much the same thing but that comes after the augment which is too late.

active route 
I think needs a definition

total-route-memory
lacks units Gbyte?

grouping attributes
 applicable to all paths
routes I think as that is what the descriptions say

Tom Petch

Thanks,
Yingzhen

> On Jun 29, 2020, at 9:08 AM, t petch <[email-masked]> wrote:
>
> I think that this I-D needs a few tweaks.
>
> 'RIB'  'a RIB '' the RIB' all appear and I like consistency; since boxes
> can have multiple RIBs, I suspect 'a RIB' is best.
>
> 'route' v 'path' - RFC8349 consciously decided that path did not mean
> much and so the term does not appear; here 'path' seems to used without
> a clear differentation from 'route'
>
> s.3.2 'Ipv4'
>
> s3.3 'operational state'
> should this be an NMDA datastore?
>
> s.5
> 'import' statements need 'reference' clauses, all of them
>
>          Datastore Architecture (NDMA) as described in RFC 8242.
> perhaps 8342
>
>           leaf total-active-routes {
> what is an active route? what criterion can be applied to pick them out
> of a RIB?
>
>             "The tag is a 32-bit opaque value associate ...
> /associate/associated/
>
> Not sure but
> OLD
>             "The application-specific tag is an additional tag that
>              can be used applications that require semantics and/or
>              policy different from that of the tag. For example,
>              the tag is usually automatically advertised in OSPF
>              AS-External Link State Advertisements (LSAs) while this
>              application-specific tag is not advertised implicitly.";
> NEW
>             "The application tag is an additional tag that
>              can be used by applications that require semantics and/or
>              policy different from that of the tag. For example,
>              the tag is usually advertised in OSPF
>              AS-External Link State Advertisements (LSAs) while this
>              application tag is not advertised";
> 'implicitly' does not make sense to me and the juxtaposition of 'tag'
> and 'application tag' may confuse and using 'tag' in so many other
> places may confuse more; time for a typedef? (tag also appears already
> in RFC8349 but not, sadly, in RFC8294)
>
> MULTI seems to have lost an I
>
> OSPF. ECMP could do with references
>
>
> s.7
> "      name: ietf-acl namespace: urn:ietf:params:xml:ns:yang:ietf-rib-
>        extension prefix: ietf-rib-ext reference: RFC XXXX "
>
> oh dear
>
> Appendix B should use documentation addresses not 10.  192.1.
>
> The IESG have been known to reject examples that do not include some
> IPv6
>
> Tom Petch
>
>> ----- Original Message -----
>> From: <[email-masked]>
>> To: <[email-masked]>
>> Cc: <[email-masked]>
>> Sent: Thursday, June 25, 2020 11:12 PM
>> Subject: I-D Action: draft-ietf-rtgwg-yang-rib-extend-04.txt
>>
>>
>>> A New Internet-Draft is available from the on-line Internet-Drafts
>> directories.
>>> This draft is a work item of the Routing Area Working Group WG of the
>> IETF.
>>>
>>>         Title           : RIB YANG Data Model
>>>         Authors         : Acee Lindem
>>>                           Yingzhen Qu
>>>         Filename        : draft-ietf-rtgwg-yang-rib-extend-04.txt
>>>         Pages           : 22
>>>         Date            : 2020-06-25
>>>
>>> Abstract:
>>>    The Routing Information Base (RIB) is a list of routes and their
>>>    corresponding administrative data and operational state.
>>>
>>>    RFC 8349 defines the basic building blocks for RIB, and this model
>>>    augments it to support multiple next-hops (aka, paths) for each
>> route
>>>    as well as additional attributes.
>>>
>>>
>>> The IETF datatracker status page for this draft is:
>>> https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-ietf-rtgwg-yang-rib-extend%2F&amp;data=02%7C01%7Cyingzhen.qu%40futurewei.com%7Ca45d1006ab5f472f2ea508d81c46d0b5%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637290437767295887&amp;sdata=T3%2BMwjOJoWg4etTems7m%2FDZS83txUza7BUnnMKp1GWc%3D&amp;reserved=0
>>>
>>> There are also htmlized versions available at:
>>> https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Fdraft-ietf-rtgwg-yang-rib-extend-04&amp;data=02%7C01%7Cyingzhen.qu%40futurewei.com%7Ca45d1006ab5f472f2ea508d81c46d0b5%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637290437767295887&amp;sdata=DSeJQizkNOW4EtedOp5rlgpLX%2FfNu1FMmCTRdP2nDj0%3D&amp;reserved=0
>>>
>> https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-ietf-rtgwg-yang-rib-extend-0&amp;data=02%7C01%7Cyingzhen.qu%40futurewei.com%7Ca45d1006ab5f472f2ea508d81c46d0b5%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637290437767295887&amp;sdata=B7bKkS%2By8nI8wUtdVbVxnow1DExp7t23fLisKZuzbjs%3D&amp;reserved=0
>> 4
>>>
>>> A diff from the previous version is available at:
>>> https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Frfcdiff%3Furl2%3Ddraft-ietf-rtgwg-yang-rib-extend-04&amp;data=02%7C01%7Cyingzhen.qu%40futurewei.com%7Ca45d1006ab5f472f2ea508d81c46d0b5%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637290437767295887&amp;sdata=YH0y0nObOvIqm2Fq3F3Nylu0E6yN6awmOXJk4FARTAs%3D&amp;reserved=0
>>>
>>>
>>> Please note that it may take a couple of minutes from the time of
>> submission
>>> until the htmlized version and diff are available at tools.ietf.org.
>>>
>>> Internet-Drafts are also available by anonymous FTP at:
>>> https://nam11.safelinks.protection.outlook.com/?url=ftp%3A%2F%2Fftp.ietf.org%2Finternet-drafts%2F&amp;data=02%7C01%7Cyingzhen.qu%40futurewei.com%7Ca45d1006ab5f472f2ea508d81c46d0b5%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637290437767295887&amp;sdata=fFX2a60GDIdTaGDqL1ajT7th6um5EdGtTjUqZoQiJPk%3D&amp;reserved=0
>>>
>>>
>>> _______________________________________________
>>> I-D-Announce mailing list
>>> [email-masked]
>>> https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fi-d-announce&amp;data=02%7C01%7Cyingzhen.qu%40futurewei.com%7Ca45d1006ab5f472f2ea508d81c46d0b5%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637290437767295887&amp;sdata=PQj%2BvpGuhu52qgVaEUrTB99mPoC4kJ6tatl7xL4OiP0%3D&amp;reserved=0
>>> Internet-Draft directories: https://nam11.safelinks.protection.outlook.com/?url=http%3A%2F%2Fwww.ietf.org%2Fshadow.html&amp;data=02%7C01%7Cyingzhen.qu%40futurewei.com%7Ca45d1006ab5f472f2ea508d81c46d0b5%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637290437767295887&amp;sdata=uP51%2BFhmIvplhQ9LO8cEhMm5o1uAmHPvmQDEoKty9wk%3D&amp;reserved=0
>>> or https://nam11.safelinks.protection.outlook.com/?url=ftp%3A%2F%2Fftp.ietf.org%2Fietf%2F1shadow-sites.txt&amp;data=02%7C01%7Cyingzhen.qu%40futurewei.com%7Ca45d1006ab5f472f2ea508d81c46d0b5%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637290437767295887&amp;sdata=k56QAmN7ER%2BzVdSFXPtcVCW0C7lIB4hRvrIdTk9o1bY%3D&amp;reserved=0
>>> .
>>>
>>>
>
> _______________________________________________
> rtgwg mailing list
> [email-masked]
> https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Frtgwg&amp;data=02%7C01%7Cyingzhen.qu%40futurewei.com%7Ca45d1006ab5f472f2ea508d81c46d0b5%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637290437767295887&amp;sdata=8XOOsqngl%2FpA3jOwSSdHFpCfvXwUb%2BESv7EK4%2ByG7dA%3D&amp;reserved=0

---

From: Yingzhen Qu <[email-masked]>
Date: Thu, 22 Apr 2021 21:26:41 -0700

Hi Tom,

Thank you for your review, really appreciate it. We've published version
-07 to address your comments, please see my detailed answers below inline.

Thanks,
Yingzhen

On Wed, Apr 7, 2021 at 4:31 AM tom petch <[email-masked]> wrote:

> We’ve addressed your comments in the latest version, but forgot to reply
> to this email. We’d like to get this draft ready for WG LC, so please let
> us know if you have more comments.
>
> <tp>
> RIB is a contentious term which is why it gets defined  in RFC8349 and you
> rightly reference it in 2.1 but for me this makes Introduction para. 2
> wrong, confusing. I think you should remove that paragraph entirely or if
> you want to mention RIB then reference RFC8349.
>
> [Yingzhen]:  removed the paragraph, and changed to a reference to RFC 8349.

> RIB needs a preceding article which you have added in some places but not
> all.  I think that it mostly should be 'the RIB'
>

> um no, route tags

[Yingzhen]: I changed the section title to just "Tags and Preference", so
it's more consistent with other section titles.

4
> augment with a long path can be hard to decipher,  Here and in the YANG
> module a comment line before it makes it much easier e.g.
>
> Other WG do this and I find it helpful.  Yes the YANG description says
> much the same thing but that comes after the augment which is too late.
>
> active route
> [Yingzhen]: added description

> total-route-memory
> lacks units Gbyte?
>
> [Yingzhen]: thank you for catching this. fixed.

> [Yingzhen]: fixed.

> >>> Internet-Draft directories:
> https://nam11.safelinks.protection.outlook.com/?url=http%3A%2F%2Fwww.ietf.org%2Fshadow.html&amp;data=02%7C01%7Cyingzhen.qu%40futurewei.com%7Ca45d1006ab5f472f2ea508d81c46d0b5%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637290437767295887&amp;sdata=uP51%2BFhmIvplhQ9LO8cEhMm5o1uAmHPvmQDEoKty9wk%3D&amp;reserved=0
> >>> or
> https://nam11.safelinks.protection.outlook.com/?url=ftp%3A%2F%2Fftp.ietf.org%2Fietf%2F1shadow-sites.txt&amp;data=02%7C01%7Cyingzhen.qu%40futurewei.com%7Ca45d1006ab5f472f2ea508d81c46d0b5%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637290437767295887&amp;sdata=k56QAmN7ER%2BzVdSFXPtcVCW0C7lIB4hRvrIdTk9o1bY%3D&amp;reserved=0
> >>> .
> >>>
> >>>
> >